Overview
Order banking and document-based income verifications for partners using/partners/v2 endpoints.
- Documents (Doc VOI): Upload paystubs and W-2s to generate a Doc VOI report.
- Banking: Connect a user’s financial institutions to generate VOA, VOI, VOAI, or VOE reports.
Supported report types
- Verification of Income (Doc VOI)
- Verification of Assets (VOA)
- Verification of Income (VOI)
- Verification of Assets & Income (VOAI)
- Verification of Employment (VOE)
Workflow
Argyle’s Postman collection contains examples of the endpoints mentioned below.1. Create a user
Create a user before ordering both document and banking verifications.Example request (`POST /partners/v2/users`)
Example request (`POST /partners/v2/users`)
2. Order a verification
Order a verification usingPOST /partners/v2/verifications.
3. (Banking only) Create a session
Banking verifications require a session.Example request (`POST /partners/v2/sessions`)
Example request (`POST /partners/v2/sessions`)
Example response
Example response
banking.link returned in the response to launch the Mastercard Connect experience.
4. Subscribe to webhooks
Subscribe toverifications.updated webhooks to track progress.
include_resource = true to receive the full verification object, including status state.state values:
pendinguser_session_started(banking)authenticated(banking)completed
5. Retrieve reports
Whenstatus.state is COMPLETED, retrieve the report using:
file_url(PDF)json_url(JSON)
Banking-only
Re-verifications (Instant Refresh)
UsePOST /partners/v2/verifications/refresh to generate a new banking verification without reconnecting the user, as long as an active bank connection exists.
Recovery options and error handling
User abandons session- Create a new session URL for the same verification via
POST /partners/v2/sessions.
- Update the user with
PATCH /partners/v2/users/{id}. - Retry
POST /partners/v2/verifications.
Testing
Documents sandbox scenarios
Successful verification with GSE-eligible monthly income
Successful verification with GSE-eligible monthly income
- Order a verification with
employmentsset to an active Warehouse Services Inc employment. - Upload:
Verification enters PAUSED (more data required)
Verification enters PAUSED (more data required)
- Order the same verification setup.
- Upload only:
Banking sandbox scenario
Use the user SSN below for sandbox testing:- Order a verification with
report.typeset to a banking report type. - Create a banking session.
- Complete the Connect flow.
- Wait for
verifications.updatedwebhook updates. - Retrieve the completed report from
file_urlorjson_url.
Successful verification with monthly income that is not GSE-eligible
Successful verification with monthly income that is not GSE-eligible
- Order a verification with
employmentsset to an active Warehouse Services Inc employment. - Upload:
Successful verification with GSE-eligible monthly income (production)
Successful verification with GSE-eligible monthly income (production)
- Order a verification with
employmentsset to an active Warehouse Services Inc employment. - Upload:
Successful verification with monthly income that is not GSE-eligible (production)
Successful verification with monthly income that is not GSE-eligible (production)
- Order a verification with
employmentsset to an active Warehouse Services Inc employment. - Upload:
Verification enters PAUSED (more data required) (production)
Verification enters PAUSED (more data required) (production)
- Order the same verification setup.
- Upload only:
Banking
- Sandbox —
FinBank Profiles AorFinBank Profiles B - Production —
FinBank BillableorFinBank Oauth Billable
| Username | Password | Account Types | Supported Products |
|---|---|---|---|
| profile_02 | profile_02 | Savings, IRA, 401k, Credit Card | voa, voi, voai |
| profile_03 | profile_03 | Checking, Personal Investment, 401K, Roth, Savings (Joint Account owners) | voa, voi, voai |
| profile_04 | profile_04 | Checking, 403B, 529, Rollover, Mortgage | voa, voi, voai |
| profile_05 | profile_05 | Checking, Investment, Stocks, UGMA, UTMA (Joint Account owners) | voa, voi, voai |
| profile_06 | profile_06 | Checking, Retirement, KEOGH, 457, Credit Card | voa, voi, voai |
| profile_07 | profile_07 | Checking, Stocks, CD, Investment Tax-Deferred, Employee Stock | voa, voi, voai |
| profile_08 | profile_08 | Checking, Primary Savings, Money Market, 401A, Line of credit | voa, voi, voai |
| profile_09 | profile_09 | Checking, Savings, Checking Failed Report. Errors include 102, 103, 185 | voa (failed report) voi (failed report) voai (failed report) |
| Field | Sue Wealthy | River Paycheck | Alex Student |
|---|---|---|---|
| Username | sue_wealthy | river_paycheck | alex_student |
| Password | profile_700 | profile_703 | profile_704 |
| Description | Sue is a Product Manager with steady income, a mortgage, multiple investment accounts, and typical household, travel, and pet expenses. | River works in construction, rents an apartment, has typical expenses, some savings, and no investments, loans, or credit cards. In some months, River’s expenses exceed his income. | Alex works full-time with a good salary and is still repaying student loans. She has typical expenses, limited savings, and a new investment account. |
Document FAQs
File types and max file size accepted for uploaded documents
File types and max file size accepted for uploaded documents
- PDF, JPEG, PNG, HEIC file types accepted
- 16MB max file size
If correct documents are uploaded, will monthly calculations and GSE eligibility always be given?
If correct documents are uploaded, will monthly calculations and GSE eligibility always be given?
- No, additional criteria may not be met.
- For example, calculations and rep and warrant relief are not given when there is excessive fluctuation in income over time.
How long is income rep and warrant relief given?
How long is income rep and warrant relief given?
- 120 days
How long is employment rep and warrant relief given?
How long is employment rep and warrant relief given?
- Variable.
- Exact amount is 14 days from the pay date of the most recent paystub.
- For example, if today is July 31, 2025 and the most recent paystub uploaded had a pay date of July 21, 2025, only 4 days of employment rep and warrant relief would be given.